Package tigase.server.xmppclient

# Class SeeOtherHost.SeeOtherHostVHostItemExtension

java.lang.Object
tigase.vhosts.VHostItemExtension<T>
tigase.vhosts.AbstractVHostItemExtension<SeeOtherHost.SeeOtherHostVHostItemExtension>
tigase.server.xmppclient.SeeOtherHost.SeeOtherHostVHostItemExtension

All Implemented Interfaces:
  `VHostItemExtensionBackwardCompatible<SeeOtherHost.SeeOtherHostVHostItemExtension>`, `VHostItemExtensionIfc<SeeOtherHost.SeeOtherHostVHostItemExtension>`

Enclosing class:
  SeeOtherHost

public static class SeeOtherHost.SeeOtherHostVHostItemExtension extends AbstractVHostItemExtension<SeeOtherHost.SeeOtherHostVHostItemExtension> implements VHostItemExtensionBackwardCompatible<SeeOtherHost.SeeOtherHostVHostItemExtension>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SeeOtherHostVHostItemExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCommandFields(String prefix, Packet packet, boolean forDefault)`
  Method adds custom extension fields to the ad-hoc form which will be sent to the user for filling with data required to create or update the VHost details.
  `String`
  `getId()`
  Unique identifier of the extension.
  `void`
  `initFromCommand(String prefix, Packet packet)`
  Method initializes instance of a class with values provided by the user using ad-hoc command.
  `void`
  `initFromData(Map<String,Object> data)`
  `void`
  `initFromElement(Element item)`
  Method initializes instances of a class with values from the element which contains configuration loaded from the database.
  `boolean`
  `isEnabled()`
  `SeeOtherHost.SeeOtherHostVHostItemExtension`
  `mergeWithDefaults(SeeOtherHost.SeeOtherHostVHostItemExtension defaults)`
  Abstract method required to be implemented for merging values stored in this instance with default settings stored in the default virtual host item (global or default settings of the installation).
  `String`
  `toDebugString()`
  Returns a string containing all information about the instance of the extension useful for debugging.
  `Element`
  `toElement()`
  Method serializes data stored by this instance to element which will be then stored in the database.

  ### Methods inherited from class tigase.vhosts.AbstractVHostItemExtension

  `addBooleanFieldWithDefaultToCommand`

  ### Methods inherited from class tigase.vhosts.VHostItemExtension

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SeeOtherHostVHostItemExtension

    public SeeOtherHostVHostItemExtension()

- ## Method Details

  - ### getId

    public String getId()
    Description copied from interface: `VHostItemExtensionIfc`
    Unique identifier of the extension. It has to be a valid XML element name!
    Specified by:
      `getId` in interface `VHostItemExtensionIfc<SeeOtherHost.SeeOtherHostVHostItemExtension>`

  - ### initFromElement

    public void initFromElement(Element item)
    Description copied from interface: `VHostItemExtensionIfc`
    Method initializes instances of a class with values from the element which contains configuration loaded from the database. see VHostItemExtensionIfc::toElement()
    Specified by:
      `initFromElement` in interface `VHostItemExtensionIfc<SeeOtherHost.SeeOtherHostVHostItemExtension>`
    Parameters:
      `item` - - provided element with data

  - ### initFromCommand

    public void initFromCommand(String prefix, Packet packet) throws IllegalArgumentException
    Description copied from interface: `VHostItemExtensionIfc`
    Method initializes instance of a class with values provided by the user using ad-hoc command.
    Specified by:
      `initFromCommand` in interface `VHostItemExtensionIfc<SeeOtherHost.SeeOtherHostVHostItemExtension>`
    Parameters:
      `prefix` - - prefix for data for fields added by this extension
      `packet` - - stanza with submitted ad-hoc command form
    Throws:
      `IllegalArgumentException`

  - ### isEnabled

    public boolean isEnabled()

  - ### toDebugString

    public String toDebugString()
    Description copied from interface: `VHostItemExtensionIfc`
    Returns a string containing all information about the instance of the extension useful for debugging.
    Specified by:
      `toDebugString` in interface `VHostItemExtensionIfc<SeeOtherHost.SeeOtherHostVHostItemExtension>`

  - ### toElement

    public Element toElement()
    Description copied from interface: `VHostItemExtensionIfc`
    Method serializes data stored by this instance to element which will be then stored in the database. Element name should be equal to the extension id.
    Specified by:
      `toElement` in interface `VHostItemExtensionIfc<SeeOtherHost.SeeOtherHostVHostItemExtension>`

  - ### addCommandFields

    public void addCommandFields(String prefix, Packet packet, boolean forDefault)
    Description copied from interface: `VHostItemExtensionIfc`
    Method adds custom extension fields to the ad-hoc form which will be sent to the user for filling with data required to create or update the VHost details.
    Specified by:
      `addCommandFields` in interface `VHostItemExtensionIfc<SeeOtherHost.SeeOtherHostVHostItemExtension>`
    Parameters:
      `prefix` - - prefix which should be used by each added field
      `packet` - - packet which will be sent to the user
      `forDefault` - - if true, we are preparing form for "default" configuration used by default by all vhosts.

  - ### mergeWithDefaults

    public SeeOtherHost.SeeOtherHostVHostItemExtension mergeWithDefaults(SeeOtherHost.SeeOtherHostVHostItemExtension defaults)
    Description copied from class: `VHostItemExtension`
    Abstract method required to be implemented for merging values stored in this instance with default settings stored in the default virtual host item (global or default settings of the installation).
    Specified by:
      `mergeWithDefaults` in class `VHostItemExtension<SeeOtherHost.SeeOtherHostVHostItemExtension>`
    Parameters:
      `defaults` - - instance of the extension with default values
    Returns:
      instance of the extension containing merged values

  - ### initFromData

    public void initFromData(Map<String,Object> data)
    Specified by:
      `initFromData` in interface `VHostItemExtensionBackwardCompatible<SeeOtherHost.SeeOtherHostVHostItemExtension>`